VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vapi::Metadata::Metamodel::Type::BuiltinType Class Reference
Inheritance diagram for Com::Vmware::Vapi::Metadata::Metamodel::Type::BuiltinType:

## Avaliable Methods
public method | new ()

## Detailed Description

The `Com::Vmware::Vapi::Metadata::Metamodel::Type::BuiltinType` enumerated type provides enumeration value for each of the built-in types present in the interface definition language type system. Constant Com::Vmware::Vapi::Metadata::Metamodel::Type::BuiltinType::VOID # The built-in type is a void. The value is null . Constant Com::Vmware::Vapi::Metadata::Metamodel::Type::BuiltinType::BOOLEAN # The built-in type is a boolean. The value is true or false. Constant Com::Vmware::Vapi::Metadata::Metamodel::Type::BuiltinType::LONG # The built-in type is a long. The value is a 64 bit signed integer. Constant Com::Vmware::Vapi::Metadata::Metamodel::Type::BuiltinType::DOUBLE # The built-in type is a double. The value is a 64 bit floating point number. Constant Com::Vmware::Vapi::Metadata::Metamodel::Type::BuiltinType::STRING # The built-in type is a string. The value is a variable-length sequence of zero or more unicode characters. Constant Com::Vmware::Vapi::Metadata::Metamodel::Type::BuiltinType::BINARY # The built-in type is a binary. The value is a variable-length sequence of zero or more bytes. Constant Com::Vmware::Vapi::Metadata::Metamodel::Type::BuiltinType::SECRET # The built-in type is a secret. The value is a variable-length sequence of zero or more unicode characters. The value contains sensitive data that should not be printed or displayed anywhere. Constant Com::Vmware::Vapi::Metadata::Metamodel::Type::BuiltinType::DATE_TIME # The built-in type is a datetime. The value should be in the UTC timezone and the precision is milliseconds. Constant Com::Vmware::Vapi::Metadata::Metamodel::Type::BuiltinType::ID # The built-in type is an ID. The value represents an identifier for a resource. Constant Com::Vmware::Vapi::Metadata::Metamodel::Type::BuiltinType::URI # The built-in type is an URI. The value follows the IRI specification in RFC 3987. Constant Com::Vmware::Vapi::Metadata::Metamodel::Type::BuiltinType::ANY_ERROR # The built-in type is an arbitrary error type. This is used if the value of a typed element can be one of any user defined named type which is an error . Constant Com::Vmware::Vapi::Metadata::Metamodel::Type::BuiltinType::DYNAMIC_STRUCTURE # The built-in type is a dynamic structure. This is used if the value of a typed element can be one of any user defined named type. Constant Com::Vmware::Vapi::Metadata::Metamodel::Type::BuiltinType::OPAQUE # The built-in type is an opaque. This is used if the value of a typed element could be of any type and the actual type will be known only during the execution of the API. This is mostly used in infrastructure interfaces .

## Member Function Documentation

public method Com::Vmware::Vapi::Metadata::Metamodel::Type::BuiltinType::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vapi::Metadata::Metamodel::Type::BuiltinType enumeration.

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 12
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $self = $class->SUPER::new();
my $bindingType = new Com::Vmware::Vapi::Bindings::Type::EnumType(
'name' => 'com.vmware.vapi.metadata.metamodel.type.builtin_type',
'binding_class' => 'Com::Vmware::Vapi::Metadata::Metamodel::Type::BuiltinType');
$class->SUPER::set_binding_type('binding_type' => $bindingType);
bless $self, $class;
return $self;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vapi/Metadata/Metamodel/Type.pm